Generate VVF Csr
Generate a Certificate Signing Request (CSR) for a service
Generate a Certificate Signing Request (CSR) for a service
Request
URI
POST
https://{api_host}/suite-api/api/integrations/services/certificate-management/{serviceKey}/csrs
COPY
Path Parameters
string
serviceKey
Required
A service key for which the CSR needs to be generated
Request Body
The CSR specification
GenerateCsrSpec
of type(s)
application/json
Required
Show optional properties
{
"keySize": "string",
"orgUnit": "string",
"organization": "string"
}
"{\n \"country\" : \"US\",\n \"email\" : \"[email protected]\",\n \"keySize\" : \"KEY_2048\",\n \"keyAlgorithm\" : \"RSA\",\n \"locality\" : \"Palo Alto\",\n \"organization\" : \"VMware\",\n \"orgUnit\" : \"Engineering\",\n \"state\" : \"California\",\n \"commonName\" : \"vmsp.example.com\",\n \"subjectAltNames\" : {\n \"dns\" : [ \"vmsp.example.com\", \"vmsp-alt.example.com\" ],\n \"ip\" : [ \"192.168.1.100\", \"192.168.1.101\" ]\n }\n}"
string
As ^[^<>]*$
commonName
Optional
Common name
string
As ^[^<>]*$
country
Optional
Country
string
As ^[^<>]*$
email
Optional
string
As ^[^<>]*$
keyAlgorithm
Optional
Key algorithm
string
keySize
Required
Key Size
Possible values are :
UNKNOWN,
KEY_2048,
KEY_3072,
KEY_4096,
string
As ^[^<>]*$
locality
Optional
Locality
string
As ^[^<>]*$
orgUnit
Required
Organization unit
string
As ^[^<>]*$
organization
Required
Organization
string
As ^[^<>]*$
state
Optional
State
object
subjectAltNames
Optional
Subject alternative names specification for generate csr
Responses
200
The task status response
Returns
VvfTaskStatusResponse
of type(s)
application/json
"{\n \"id\" : \"8d7c7092-83d7-4f50-a519-03b1636c9cd8\",\n \"name\" : \"UPDATE_VVF\",\n \"status\" : \"SUCCEEDED\",\n \"creationTimestamp\" : 12345356647777757,\n \"lastUpdatedTimestamp\" : 123453566477746637,\n \"message\" : \"Password update succeeded\"\n}"
integer As int64
As int64
creationTimestamp
Optional
Task creation timestamp
string
id
Required
Task Id
integer As int64
As int64
lastUpdatedTimestamp
Optional
Last updated timestamp
string
message
Optional
Message
string
name
Required
Task name
string
status
Required
Task status
Possible values are :
SUCCEEDED,
PENDING,
QUEUED,
RUNNING,
CANCELLED,
ERROR,
UNKNOWN,
FAILED,
Code Samples
COPY
curl -X POST -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{"keySize":"string","orgUnit":"string","organization":"string"}' https://{api_host}/suite-api/api/integrations/services/certificate-management/{serviceKey}/csrs
On This Page
Component Certificate Management Operations
GET
Get VVF Certificates
PUT
Replace VVF Certificate
GET
Get VVF Csrs
POST
Generate VVF Csr